Vim Cluster Vsan Vc Disk Management System Remove Disk Mapping Ex

Vim Cluster Vsan Vc Disk Management System Remove Disk Mapping Ex
Remove vSAN disk mapping(s) from use in a vSAN cluster with the specified data evacuation mode.

Remove vSAN disk mapping(s) from use in a vSAN cluster with the specified data evacuation mode.

Disk mapping(s) will be removed one by one with the specified data evacuation mode. Removing a disk mapping may cause data movement so a disk data evacuation resource check VsanPerformResourceCheck will be done before removing each disk mapping.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VimClusterVsanVcDiskManagementSystem/{moId}/RemoveDiskMappingEx
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VimClusterVsanVcDiskManagementSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RemoveDiskMappingExRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {},
    "mappings": [
        {
            "ssd": {},
            "nonSsd": [
                {
                    "capacity": {},
                    "devicePath": "string"
                }
            ]
        }
    ],
    "maintenanceSpec": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "mappings": [
        {
            "_typeName": "string",
            "ssd": {
                "_typeName": "string",
                "deviceName": "string",
                "deviceType": "string",
                "key": "string",
                "uuid": "string",
                "descriptor": [
                    {
                        "_typeName": "string",
                        "quality": "string",
                        "id": "string"
                    }
                ],
                "canonicalName": "string",
                "displayName": "string",
                "lunType": "string",
                "vendor": "string",
                "model": "string",
                "revision": "string",
                "scsiLevel": 0,
                "serialNumber": "string",
                "durableName": {
                    "_typeName": "string",
                    "namespace": "string",
                    "namespaceId": 0,
                    "data": [
                        0
                    ]
                },
                "alternateName": [
                    {
                        "_typeName": "string",
                        "namespace": "string",
                        "namespaceId": 0,
                        "data": [
                            0
                        ]
                    }
                ],
                "standardInquiry": [
                    0
                ],
                "queueDepth": 0,
                "operationalState": [
                    "string"
                ],
                "capabilities": {
                    "_typeName": "string",
                    "updateDisplayNameSupported": false
                },
                "vStorageSupport": "string",
                "protocolEndpoint": false,
                "perenniallyReserved": false,
                "clusteredVmdkSupported": false,
                "applicationProtocol": "string",
                "dispersedNs": false,
                "deviceReservation": "string",
                "capacity": {
                    "_typeName": "string",
                    "blockSize": 0,
                    "block": 0
                },
                "devicePath": "string",
                "ssd": false,
                "localDisk": false,
                "physicalLocation": [
                    "string"
                ],
                "emulatedDIXDIFEnabled": false,
                "vsanDiskInfo": {
                    "_typeName": "string",
                    "vsanUuid": "string",
                    "formatVersion": 0
                },
                "scsiDiskType": "string",
                "usedByMemoryTiering": false
            },
            "nonSsd": [
                {
                    "_typeName": "string",
                    "deviceName": "string",
                    "deviceType": "string",
                    "key": "string",
                    "uuid": "string",
                    "descriptor": [
                        {
                            "_typeName": "string",
                            "quality": "string",
                            "id": "string"
                        }
                    ],
                    "canonicalName": "string",
                    "displayName": "string",
                    "lunType": "string",
                    "vendor": "string",
                    "model": "string",
                    "revision": "string",
                    "scsiLevel": 0,
                    "serialNumber": "string",
                    "durableName": {
                        "_typeName": "string",
                        "namespace": "string",
                        "namespaceId": 0,
                        "data": [
                            0
                        ]
                    },
                    "alternateName": [
                        {
                            "_typeName": "string",
                            "namespace": "string",
                            "namespaceId": 0,
                            "data": [
                                0
                            ]
                        }
                    ],
                    "standardInquiry": [
                        0
                    ],
                    "queueDepth": 0,
                    "operationalState": [
                        "string"
                    ],
                    "capabilities": {
                        "_typeName": "string",
                        "updateDisplayNameSupported": false
                    },
                    "vStorageSupport": "string",
                    "protocolEndpoint": false,
                    "perenniallyReserved": false,
                    "clusteredVmdkSupported": false,
                    "applicationProtocol": "string",
                    "dispersedNs": false,
                    "deviceReservation": "string",
                    "capacity": {
                        "_typeName": "string",
                        "blockSize": 0,
                        "block": 0
                    },
                    "devicePath": "string",
                    "ssd": false,
                    "localDisk": false,
                    "physicalLocation": [
                        "string"
                    ],
                    "emulatedDIXDIFEnabled": false,
                    "vsanDiskInfo": {
                        "_typeName": "string",
                        "vsanUuid": "string",
                        "formatVersion": 0
                    },
                    "scsiDiskType": "string",
                    "usedByMemoryTiering": false
                }
            ]
        }
    ],
    "maintenanceSpec": {
        "_typeName": "string",
        "vsanMode": {
            "_typeName": "string",
            "objectAction": "string"
        },
        "purpose": "string",
        "evacMode": {
            "_typeName": "string",
            "workloadNonDisruptive": false
        }
    }
}
cluster
Required

The vSAN cluster which owns the given disk mapping(s).

Required privileges: Host.Config.Storage

array of object
mappings
Required

List of disk mapping(s) to be removed.

maintenanceSpec
Required

Specifies the data evacuation mode.

Authentication
This operation uses the following authentication methods.
Responses
200

A task to monitor the progress of disk mapping(s) removal operation. Upon successful completion of the returned task, its result field will be populated with a VsanHostDiskMapResult[] filled with details for each disk mapping.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

VsanFault: If resource check completes with "red" status or any error happens during the resource check stage or actual disk mapping(s) removal stage.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}","mappings":["object"],"maintenanceSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/VimClusterVsanVcDiskManagementSystem/{moId}/RemoveDiskMappingEx